WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

LaTeX2HTML

LaTeX2HTML makes you write blog like in LaTeX doc.

2.0.3

Bug fix: 1. fix the database update function, the methods may not exists

2.0.2

Bug fix: 1. check function/methods exists before the call; 2. fix the translation in content; 3. fix the unable to delete plugin error; 4. update user\'s manual for BibTeX citation support

2.0.1

  • Fix section refer back by \ref{secnum} and \autoref{secnum}
  • Add full user's manual

2.0.0

  • Totally rebuild based on the newest wordpress functions
  • Add BibTeX style citation support

1.2.3

  • Remove the auto-number function, since this can be down by mathjax after 2.1
  • Change the default mathjax config. to svg

1.2.2

  • Fix the wrong Custom LaTeX CSS Style place.

1.2.1

  • Compatible with Simple MathJaX

1.2.0

  • Change the default "load LaTeX2HTML only for Single Post" into an Option
  • Customlize the LaTeX CSS style
  • Fix the preamble-position bug
  • Add the Chinese language support

1.1.0

  • Add the LaTeX2HTML Demonstration LaTeX Doc
  • Remove the \documentclass... and \usepackage... stuff in the post, this will be convinient if your post are copy and paste from a TeX Doc
  • Add the Demo TeX doc LaTeX2HTML_TeX_Demo.tex and the PDF file which are obtained by run latex LaTeX2HTML_TeX_Demo.tex
  • Add Basic LaTeX \newcommand in preamble of LaTeX2HTML Setting page
  • Update the instruction of LaTeX2HTML Setting page

1.0.2

  • Solve the compatible problem with simple mathjax (if you were not stop the simple mathjax first before updating the LaTeX2HTML, there are the redeclare function error)
    • Add an setting page at the Plugins|Active page

1.0.1

  • Update the readme.txt

1.0.0

  • Integrate the simple mathjax into LaTeX2HTML
    • Only load MathJaX on the single page with math formulae (warped with $ and $ or \[ and \])

0.0.5

  • the original version

Requires: 3.0 or higher
Compatible up to: 4.6.1
Last Updated: 9 hours ago
Active Installs: 30+

Ratings

5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
100,1,1